post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method is used to start the PA scan for an existing account.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| organization | Name of the organization for which the posture anomaly scan should be initiated. | Yes | string |
| account_name | Name of the account within the organization for which the scan should be started. | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.PostureAnomaly.initiateScan(
account_name="Default",
organization="Demo Org"
)
print(response)
client.close()Requires Python 3.9 or later.